/*
 *  Copyright (C) 2009
 *      Authors (alphabetical) :
 *              mrmoku (Klaus Kurzmann, mok@fluxnetz.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Public License as published by
 *  the Free Software Foundation; version 2 of the license.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser Public License for more details.
 */

#ifndef FRAMWORKD_GLIB_OPIMD_CALLS_H
#define FRAMWORKD_GLIB_OPIMD_CALLS_H

#include <glib.h>
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS
void
opimd_calls_get_new_missed_calls(
		void (*callback) (GError *, int, gpointer),
		gpointer userdata);
void
opimd_calls_new_missed_calls_handler(DBusGProxy *proxy,
		const int amount,
		gpointer userdata);


extern DBusGProxy *opimdCallsBus;


G_END_DECLS
#endif

